Provides a few hooks for passing authentication information that can be provided in IConvergenceOptions. The application-provided [[IConvergenceOptions.reconnect.fallbackAuth]] will be called when a domain attempts to reconnect using a reconnect token but fails. This allows the application to provide authentication information synchronously or asynchronously.

### Hierarchy

- IFallbackAuthChallenge

## Index

### Methods

- anonymous
- cancel
- jwt
- password

## Methods

### anonymous

- anonymous(displayName: string | function | Promise<string>): void

- Call this to tell Convergence to reconnect anonymously using the provided display name.

  #### Parameters

  - ##### displayName: string | function | Promise<string>

  #### Returns void

### cancel

- cancel(): void

- Call this to tell Convergence not to reconnect. This can be used when e.g. the consuming application fails to retrieve a new JWT.

  #### Returns void

### jwt

- jwt(jwt: string | function | Promise<string>): void

- Call this to tell Convergence to reconnect using a provided JWT.

  Note that the JWT must encode the same username as that of the username or the user that originally connected.

  #### Parameters

  - ##### jwt: string | function | Promise<string>

  #### Returns void

### password

- password(password: string | function | Promise<string>): void

- Call this to tell Convergence to reconnect using a provided password.

  See Convergence.connect

  #### Parameters

  - ##### password: string | function | Promise<string>

    a string, a function that returns a string, or a Promise that will resolve with a string.

  #### Returns void